Bug 1023389 - [virsh cmd] Error message is not clear for commands blkiotune and schedinfo
[virsh cmd] Error message is not clear for commands blkiotune and schedinfo
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.5
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
: Upstream
Depends On: 1023366
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 06:23 EDT by zhengqin
Modified: 2014-10-19 19:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1023366
Environment:
Last Closed: 2014-04-04 16:56:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhengqin 2013-10-25 06:23:00 EDT
+++ This bug was initially created as a clone of Bug #1023366 +++

Description
For non-root user, when executing commands "virsh blkiotune <domainVM>" or "virsh schedinfo <domainVM>", error will occurs but error message is not clear.


Version:
virt-manager-0.10.0-4.el7.noarch
libvirt-1.1.1-9.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Issue the following command to create a user and set its password:
#useradd non-root ;  passwd non-root

2. Switch to user "non-root" by command "su - non-root", and create or import a VM named "DomainU1"

3. Execute commands "blkiotune" or "schedinfo" under "non-root" user, and error will occurs.


Actual results:
1. [non-root@localhost ~]$ virsh blkiotune DomainU1
error: Unable to get blkio parameters
error: Requested operation is not valid: blkio cgroup isn't mounted

2. [non-root@localhost ~]$ virsh schedinfo  DomainU1
Scheduler      : Unknown
error: Requested operation is not valid: cgroup CPU controller is not mounted


The above error message is not clear.



Expected results:
Error message should be clear and improved.


Additional info:
This issue occurs both on RHEL7 and RHEL6.5
Comment 1 zhengqin 2013-10-25 06:23:56 EDT
This issue also occurs on latest RHEL6.5
Comment 2 zhengqin 2014-02-21 01:09:34 EST
could reprodce on rhel6u5 with libvirt-0.10.2-29.el6_5.2.x86_64


$virsh schedinfo rhel6u5_qcow3
Scheduler      : Unknown
error: Requested operation is not valid: cgroup CPU controller is not mounted
Comment 3 Jiri Denemark 2014-04-02 04:57:00 EDT
Fixed upstream with commit v1.2.2-48-g45ad1ad:

commit 45ad1adb4a5ae5ce46287c570e87abab6ffe62d6
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Thu Feb 27 13:10:32 2014 +0100

    qemu: Reject unsupported tuning in session mode
Comment 5 RHEL Product and Program Management 2014-04-04 16:56:36 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.